class Pettanr.View.Layout.Blog.Header extends Pettanr.View
  tagName: 'div'
  id: 'header'
  
  initialize: (options) ->
    @router = new Pettanr.Router()
    @listenTo(@router, 'fire', @fire)
  
  render: () ->
    this.$el.html('xx')
    this
  
  fire: (params) ->
    c = Pettanr[Pettanr.camelize(params['controller']) + 'Controller']
    controller = new c()
    controller.params = params
    @listenTo(controller, 'ready', @refresh)
    @listenTo(controller, 'retitle', @retitle)
    controller[params['action']]()
  
  retitle: (params, str = null) ->
    t = str || I18n.t(params['controller'] + '.' + params['action'] + '.title')
    site_caption = _.escape(Manifest.manifest().magic_numbers.profile.users.caption)
    $(document).attr('title', t + ' - ' + site_caption)
  
  refresh: (view) ->
    @listenTo(view, 'navigate', @navigate)
    this.$el.html(view.el)
  
  refresh: () ->
  
  sign_out: () ->
  
  navigate: (url) ->
    @router.navigate(url, {trigger: true, replace: false})
    @trigger('navigate', url)
  
class Pettanr.View.Layout.Blog.Body extends Pettanr.View
  tagName: 'div'
  id: 'body'
  
  initialize: (options) ->
    @router = new Pettanr.Router()
    @listenTo(@router, 'fire', @fire)
  
  render: () ->
    this.$el.html('cc')
    this
  
  fire: (params) ->
    c = Pettanr[Pettanr.camelize(params['controller']) + 'Controller']
    controller = new c()
    controller.params = params
    @listenTo(controller, 'ready', @refresh)
    @listenTo(controller, 'retitle', @retitle)
    controller[params['action']]()
  
  retitle: (params, str = null) ->
    t = str || I18n.t(params['controller'] + '.' + params['action'] + '.title')
    site_caption = _.escape(Manifest.manifest().magic_numbers.profile.users.caption)
    $(document).attr('title', t + ' - ' + site_caption)
  
  refresh: (view) ->
    @listenTo(view, 'navigate', @navigate)
    this.$el.html(view.el)
  
  navigate: (url) ->
    @router.navigate(url, {trigger: true, replace: false})
    @trigger('navigate', url)
  
class Pettanr.View.Layout.Blog.Footer extends Pettanr.View
  tagName: 'div'
  id: 'footer'
  
  initialize: (options) ->
  
  render: () ->
    this.$el.html('')
    this
  
