class Pettanr.View.Pick extends Pettanr.View
  
  constructor: (@type, options) ->
    super(options)
  
  initialize: (options) ->
    @class_name = options.class_name
    @content = if @is_button()
      new Pettanr.View.Button('/pick', @icon().render().el, options)
    else
      @icon()
  
  render: () ->
    this.$el.html('')
    @el.className = @class_name if @class_name
    this.$el.append(@content.render().el)
    this
  
  is_button: () ->
    @type != 'none'
  
  icon: () ->
    new Pettanr.View.Icon(Pettanr.View.Image.icon_pick_file(@type))
  
class Pettanr.View.MiniPick extends Pettanr.View.Pick
  
  icon: () ->
    new Pettanr.View.Minicon(Pettanr.View.Image.icon_pick_file(@type))
  
