class CreateOriginalPictureLicenses < ActiveRecord::Migration
  def change
    create_table :original_picture_licenses do |t|
      t.integer :original_picture_id, :null => false, :default => 0
      t.integer :license_group_id, :null => false, :default => 0
      t.integer :license_id, :null => false, :default => 0
      t.text :license_settings
      t.text :license_group_module_name, :null => false, :limit => 50, :default => "StandardLicense"

      t.timestamps
    end
  end
end
