module Locmare
  module ProfilerModule
    module ColumnModule
      module ExtendModule
        class ExtendColumn
          attr :profiler, :column_name
          
          def initialize column, extend_column_name, extend_column_manifest
            @column = column
            @extend_column_name = extend_column_name
            @extend_column_manifest = extend_column_manifest
          end
          
          def label
            self.extend_item.class.human_attribute_name(@extend_column_name)
          end
          
          def value
            self.extend_item.attributes[@extend_column_name]
          end
          
          def extend_item
            @column.extend_item
          end
          
          def template_dir 
            @column.template_dir
          end
          
          def template_file_name
            "extend_column"
          end
          
          def template_name
            self.template_dir + self.template_file_name
          end
          
        end
      end
    end
  end
end
