class Pettanr.View.Show.Footer extends Pettanr.View
  tagName: 'div'
  
  constructor: (@item, @context, options) ->
    super(options)
  
  initialize: (options = {}) ->
    @header = options.header || new Tag.H3({
      class_name: 'owner-header',
      content: I18n.t('editor')
    })
    @footer = options.footer || new Pettanr.View.Show.Footer.Footer(
      @item, @context, options.actions
    )
  
  render: () ->
    this.$el.html('')
    this.$el.append(@header.render().el)
    this.$el.append(@footer.render().el)
    this
  
