class TopController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_action :authenticate_user, :only => []
    before_action :authenticate_author, :only => []
  else
    before_action :authenticate_reader, :only => [:index]
    before_action :authenticate_user, :only => []
    before_action :authenticate_author, :only => []
  end
  
  def index
    respond_to do |format|
      format.html { render layout: 'yasapp' }
    end
  end
  
  def ap
    respond_to do |format|
      format.html { render layout: 'ap' }
    end
  end
  
end
