#ライセンスのjsonファイルを作るサポートツール
#Yamlファイルからコンバートする
if ARGV.size < 1
  puts "ls_helper.rb ls.yml [work dir=current dir]"
  puts "generate to ls.json"
  exit
end

require 'yaml'
require 'json'
require 'base64'

filename = ARGV[0]
lg = YAML.load(open(filename).read)
fn = File.basename filename, ".*"
wd = ARGV[1] ? File.expand_path(ARGV[1]) : File.dirname(filename)
o = wd + '/' + fn + '.json'

lg.each do |k, g|
  puts k
  g['licenses_attributes'].each do |lk, l|
    puts lk
    puts 'follow license_group_module_name' + g['module_name']
    l['license_group_module_name'] = g['module_name']
    if l['license_group_settings']
      puts 'license_group_settings to json'
    end
    if l['system_picture_file']
      fn = File.expand_path(wd + '/' + l['system_picture_file'])
      puts 'open system picture file ' + fn
      d = File.open(fn, 'rb').read
      b = Base64.encode64(d).gsub(/\r/, '').gsub(/\n/, '')
      l['system_picture_id'] = {"text" => b}
      l.delete 'system_picture_file'
    end
    if l['credit_picture_settings']
      credit_picture_settings = {}
      l['credit_picture_settings'].each do |n, v|
        fn = File.expand_path(wd + '/' + v)
        puts 'open system picture file ' + fn
        d = File.open(fn, 'rb').read
        b = Base64.encode64(d).gsub(/\r/, '').gsub(/\n/, '')
        credit_picture_settings[n] = {"text" => b}
      end
      l['credit_picture_settings'] = credit_picture_settings
    end
  end
end
puts "generating " + o
File.open(o, 'wb') do |f|
  f.write lg.to_json.to_s
end
