module LocalManifest
  module ListGroupModule
    module ListModule
      module IncludeModule
        class IncludeAuto < Base
          
          def set_default
            super
          end
          
          def init
            super
          end
          
          def model_manifest
            ::Manifest.manifest.models[self.item_name]
          end
          
          def parent_includes parent_model
            if parent_model.parent_model
              {parent_model.item_name => parent_includes(parent_model.parent_model)}
            else
              {parent_model.item_name => {}}
            end
          end
          
          def includes
            if self.model.parent_model
              self.parent_includes self.model.parent_model
            else
              {}
            end
          end
          
          def list_group
            @parent.list_group
          end
          
        end
        
      end
    end
  end
end
