require_dependency "locmare/filer/body/file_header"
require_dependency "locmare/filer/body/file_body"
module Locmare
  module FilerModule
    class Body
      include BodyModule
      attr :filer, 
        :file_header, :file_body
      def initialize filer
        @filer = filer
        @file_header = self.file_header_class.new self
        @file_body = self.file_body_class.new self
      end
      
      def file_header_class
        FileHeader
      end
      
      def file_body_class
        FileBody
      end
      
      def manifest
        @filer.manifest
      end
      
      def item_name
        self.filer.item_name
      end
      
      def model
        self.filer.model
      end
      
      def items
        self.filer.items
      end
      
      def template_dir
        @filer.template_dir
      end
      
      def template_file_name
        "body"
      end
      
      def template_name
        self.template_dir + self.template_file_name
      end
      
    end
  end
end
