require_dependency "locmare/filer/body/file_body/file_item"
module Locmare
  module FilerModule
    module BodyModule
      class FileBody
        include FileBodyModule
        attr :body, :file_items
        def initialize body
          @body = body
          @file_items = self.items.map {|item| 
            self.file_item_class.new self, item
          }
        end
        
        def file_item_class
          FileItem
        end
        
        def filer
          @body.filer
        end
        
        def manifest
          self.filer.manifest
        end
        
        def item_name
          self.filer.item_name
        end
        
        def model
          self.filer.model
        end
        
        def items
          self.filer.items
        end
        
        def template_dir
          self.filer.template_dir
        end
        
        def template_file_name
          "file_body"
        end
        
        def template_name
          self.template_dir + self.template_file_name
        end
        
      end
    end
  end
end
